<?php //@./frame.php ?><?php
define('NO_UURL',true);
require('inc/controllers.php');
$t->addFile(__FILE__);
?>
<!DOCTYPE>
<html>
<head>
<title>RemoteCP</title>
<link type="text/css" href="<?php echo URL_JQUERY; ?>/css/jquery-ui.css" rel="stylesheet">
<link type="text/css" href="<?php echo DOMAIN; ?>/style.css" rel="stylesheet">
<script type="text/javascript">
window.onerror=function() {
	location.href='panel.php?uurl=<?php echo $_SESSION['uurl']; ?>';
};
</script>
<script src='<?php echo DOMAIN; ?>/scripts.js'></script>
<script type="application/javascript">
var URL_SCRIPTS="<?php echo URL_SCRIPTS; ?>"; //PHP Constant URL_SCRIPTS
var loaded_scripts=new Array('NULL');
var UURL="<?php echo $_SESSION['uurl']; ?>"; //Your unique URL
</script>
<script type='application/javascript'>
var recalcFrames_offset=100; //This is the size of the top panel.
var rframes = {
	resize_frames: function(new_height) {
		frms=document.getElementsByTagName('iframe');
		for(i=0;i<frms.length;i++) {
			frm=frms[i];
			frm.style.height=new_height;
		}
	},
	getFrameTitle: function(id) {
		if(frd=document.getElementById(id).contentDocument) {
			return frd.title;
		}
		return document.getElementById(id).contentWindow.document.title;
	},
	makeSelector: function() {
		html='';
		frms=document.getElementsByTagName('iframe');
		activefrmid=this.activeFrame().id;
		for(i=0;i<frms.length;i++) {
			frm=frms[i];
			fid=frm.id;
			title=this.getFrameTitle(fid).substr('RemoteCP - '.length);
			if(fid==activefrmid) active='checked';
			else active=''
			html+='<input type=\'radio\' name=\'frame-select-but\' id=\'frame-select-but_'+fid+'\' value=\''+fid+'\' '+active+' onclick=\'rframes.change(this.value)\'><label for=\'frame-select-but_'+fid+'\'>'+title+'<\/label>';
		}
		document.getElementById('frame-selector').innerHTML=html;
		$('#frame-selector').buttonset();
	},
	addFrame: function(link) {
		$("#loading").show();
		frm=document.createElement('iframe');
		frm.setAttribute('src',link+'?uurl='+UURL);
		fid=Math.round(Math.random()*10E16).toString().replace('.','');
		frm.setAttribute('id',fid);
		document.getElementById('frames').appendChild(frm);
		this.change(fid);
		frm.focus();
		recalcFrames();
		setTimeout('rframes.makeSelector();$("#loading").hide()',2000);
	},
	change: function(id) {
		this.hideFrames();
		$('#'+$.escapeSelector(id)).show();
		resetTitle();
	},
	hideFrames: function() {
		$('iframe').hide();
	},
	activeFrame: function() {
		frms=document.getElementsByTagName('iframe');
		for(i=0;i<frms.length;i++) {
			frm=frms[i];
			if(frm.style.display!='none')
				return frm;
		}
	},
	removeFrame: function(frm) {
		$('#frame-select-but_'+frm.id).remove();
		this.change($('iframe')[0].id);
		$(frm).remove();
		this.makeSelector();
	}
		
};
function recalcFrames () {
	// From http://www.webdeveloper.com/forum/showthread.php?t=161412
	var scnWid,scnHei;
	if (self.innerHeight) // all except Explorer
	{
		scnHei = self.innerHeight;
	}
	else if (document.documentElement && document.documentElement.clientHeight)
		// Explorer 6 Strict Mode
	{
		scnHei = document.documentElement.clientHeight;
	}
	else if (document.body) // other Explorers
	{
		scnHei = document.body.clientHeight;
	}
	// End from http://www.webdeveloper.com/forum/showthread.php?t=161412
	rframes.resize_frames(scnHei-recalcFrames_offset);
}
window.onresize=recalcFrames;
function initFrames() {
	frms=document.getElementsByTagName('iframe');
	for(i=0;i<frms.length;i++) {
		frm=frms[i];
		frm.id=Math.round(Math.random()*10E16);

	}
}
function refreshFrames() {
	frms=document.getElementsByTagName('iframe');
	for(i=0;i<frms.length;i++) {
		frm=frms[i];
		frm.src=frm.src;

	}
}
function resetTitle() {
	document.title='RemoteCP - '+rframes.getFrameTitle(rframes.activeFrame().id).substr('RemoteCP - '.length);
}
setInterval('resetTitle()',800);
</script>
<script type='text/javascript'>
$(function(){
	// GUI classes
		$('.gui-dlg').dialog({
			autoOpen: false,
			width: 600,
			show: 'puff',
			hide: 'fold'
		});

		$('.gui-dlg-alert').dialog({
			resizable: false,
			draggable: false,
			buttons: {
				"Ok": function() { 
					$(this).dialog("close"); 
				}
			}
		});
		$('.gui-dlg-fs').dialog({ modal: true});
		$('.gui-dlg-noresize').dialog({ resizable: false});
				
		$('.gui-button').button();
	// login, log off, register
		$('#button_log-off').button({
			icons: {
				primary: 'ui-icon-key'
			}
		});
		$('#button_register').button({
			icons: {
				primary: 'ui-icon-person'
			}
		});
		$('#dlg_log-in').dialog({
			buttons: {
				"<?php echo $t->_('Log in'); ?>": function() {
					logged_in=sjax.post('panel.php?control=login&uurl='+UURL,'user='+document.login.user.value+'&pass='+document.login.pass.value);
					if(logged_in=="true") {
						refreshFrames();
						$(this).dialog('close');
					}
					else if(logged_in=="false") {
						$(this).prepend('<div id="dlg_log-in-error" class="ui-state-error ui-corner-all" style="padding: 0 .7em;"><p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span><?php echo $t->_('Login failed. Try again'); ?></p></div>');
						setTimeout('$("#dlg_log-in-error").hide("clip","slow")',2000);
					}
					else {
						$(this).prepend(logged_in);
					}
				}
			},
			close: function() {
				document.login.reset();
			}
		}
		);

		<?php if(!session::$logged_in) { echo "$('#dlg_log-in').dialog('open');" ;}?>
	});
</script>
</head>
<body onload='initFrames(); recalcFrames()' onresize='recalcFrames()'>
<ul id='messages'></ul>
<div id='login-container'>
	<span class="gui-button" id="button_log-off" onclick="$.ajax({async:false,url:'panel.php?control=logoff&uurl='+UURL});refreshFrames(); $('#dlg_log-in').dialog('open'); return false;"><?php echo $t->_('Log off'); ?></span>
	<span class="gui-button" id="button_register" onclick="$('#dlg_register').empty().append(sjax.get('panel.php?control=register&uurl='+UURL)).dialog('open');return false;"><?php echo $t->_('Register'); ?></span>
	<a class="gui-button" href="licenses/licenses.html" target='_blank'><?php echo $t->_('Licenses'); ?></a>
	<div id='versions'>
	</div>
	<div id='frame-selector'></div>
	<img id='loading' alt="Loading..." src="<?php echo URL_IMG; ?>/load/small.gif">
	<div id="dlg_log-in" title="<?php echo $t->_('Log in'); ?>" class="gui-dlg gui-dlg-fs gui-dlg-noresize">
	<form name="login">
	<?php echo $t->_('Username'); ?>: <input type="text" name="user" id="login-user"><br>
	<?php echo $t->_('Password'); ?>: <input type="password" name="pass" id="login-pass">
	</form>
	</div>
	<div id="dlg_register" title="<?php echo $t->_('Register'); ?>" class="gui-dlg gui-dlg-fs gui-dlg-noresize">
	</div>
</div>
<div id='frames'>
</div>
<script type='application/javascript'>
rframes.addFrame('panel.php');
window.onerror=function() {};

</script>
</body>
</html>